#!/bin/sh

#
# Copyright 2018 Cumulus Networks, Inc.
# All rights reserved
#

# Rename swp interfaces to eth (undo S10rename_eth_swp.sh for virtual TS)
[ "$1" = "start" ] || exit 0

# this attempts to copy the S10rename_eth_swp.sh function as exactly as
# possible, even where the original script doesn't make sense.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working
. /lib/lsb/init-functions

log_action_msg "   Undoing rename of eth interfaces to swp"
interfaces=`ip link show | sed -n 's/.*\(swp[1-9][0-9]*\):.*/\1/p'`
for i in $interfaces ; do
	num=`echo $i | sed -n 's/.*swp\(.*\).*/\1/p'`
	ip link set swp$num name eth$num
done
